# Admin E2E Tests

Dieses Teilprojekt enthält die End-2-End Tests für die Admin-Anwendung.

Der Aufbau ist analog der [E2E-Tests für Alfa](../alfa-e2e/README.md).

Bei Ausführung mit Jenkins im Cluster wird das [Jenkinsfile.e2e](../../Jenkinsfile.e2e) verwendet.

Bei lokaler Ausführung die hier abgelegte [docker-compose.yml](docker-compose.yml) verwenden.

## Zugriff zu zufi Daten (Organisationseinheiten und externe Fachstellen)

### TL;DR

```bash
cd apps
./forward-to-zufi.sh
```

### Version Anforderungen

```bash
$ oc version
Client Version: v4.2.0-alpha.0-2348-ge8fb3c0
Kustomize Version: v5.0.4-0.20230601165947-6ce0bf390ce3
Kubernetes Version: v1.30.7-dirty
```

### Erklärung

Die zufi Daten d.h. die Organisationseinheiten und externe Fachstellen werden für die E2E Tests Zwecke vom zufi Service aus dem DEV Cluster geholt.
Es wird kein zufi Service für die lokale E2E Tests Entwicklung gestartet. Damit die Kommunikation mit dem zufi Service funktioniert muss man
einfach das Skript `forward-to-zufi.sh` starten. Nach dem Ausführen wird die Login Seite geöffnet. Nach dem erfolgreichen Anmelden kann man schon
die Tests lokal ausführen.

Wenn meine keine E2E Tests entwickelt die zufi Daten benötigen, dann braucht das auch nicht machen.