import { enterWith } from '../../support/cypress.util';

export class StatistikFieldsFormE2EComponent {
  private readonly locatorFormEngineInput: string = 'form-engine-input';
  private readonly locatorFormIdInput: string = 'form-id-input';
  private readonly locatorFormDataFieldInput: string = 'data-statistik-field-';
  private readonly locatorAddFieldButton: string = 'add-data-field-button';
  private readonly locatorSaveButton: string = 'save-statistik-fields-button';
  private readonly locatorCancelButton: string = 'cancel-statistik-fields-button';

  public getFormEngineInput(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorFormEngineInput);
  }

  public enterFormEngine(text: string): void {
    enterWith(this.getFormEngineInput(), text);
  }

  public getFormIdInput(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorFormIdInput);
  }

  public enterFormId(text: string): void {
    enterWith(this.getFormIdInput(), text);
  }

  public getAddFieldButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorAddFieldButton);
  }

  public addField(): void {
    this.getAddFieldButton().click();
  }

  public getDataFieldInput(index: number): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorFormDataFieldInput + index);
  }

  public enterDataFieldPath(text: string, index: number): void {
    enterWith(this.getDataFieldInput(index), text);
  }

  public getSaveButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorSaveButton);
  }

  public save(): void {
    this.getSaveButton().click();
  }

  public getCancelButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorCancelButton);
  }

  public cancel(): void {
    this.getCancelButton().click();
  }
}
