import { StateResource } from '@alfa-client/tech-shared';
import { Injectable, inject } from '@angular/core';
import { Observable } from 'rxjs';
import { AggregationMappingListResourceService } from './aggregation-mapping-resource.service';
import { AggregationMapping, AggregationMappingListResource, AggregationMappingResource } from './aggregation-mapping.model';

@Injectable()
export class AggregationMappingService {
  readonly listService = inject(AggregationMappingListResourceService);

  public getList(): Observable<StateResource<AggregationMappingListResource>> {
    return this.listService.getList();
  }

  public create(toCreate: AggregationMapping): Observable<StateResource<AggregationMappingResource>> {
    return this.listService.create(toCreate);
  }
}
