import { ADMIN_FORMSERVICE, AdminCancelButtonComponent, AdminSaveButtonComponent, ROUTES } from '@admin-client/shared';
import { Component, inject } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { TextEditorComponent } from '@ods/component';
import { ButtonComponent, DeleteIconComponent, PlusIconComponent } from '@ods/system';
import { AdminStatistikFieldsFormMappingComponent } from './statistik-fields-form-mapping/statistik-fields-form-mapping.component';
import { StatistikFieldsFormService } from './statistik-fields.formservice';

@Component({
  selector: 'admin-statistik-fields-form',
  templateUrl: './admin-statistik-fields-form.component.html',
  standalone: true,
  imports: [
    ButtonComponent,
    PlusIconComponent,
    ReactiveFormsModule,
    TextEditorComponent,
    DeleteIconComponent,
    AdminSaveButtonComponent,
    AdminCancelButtonComponent,
    AdminStatistikFieldsFormMappingComponent,
  ],
  providers: [{ provide: ADMIN_FORMSERVICE, useClass: StatistikFieldsFormService }],
})
export class AdminStatistikFieldsFormComponent {
  public readonly formService = <StatistikFieldsFormService>inject(ADMIN_FORMSERVICE);

  public readonly StatistikFieldsFormService = StatistikFieldsFormService;
  public readonly Routes = ROUTES;
}
