/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { BescheidResource, BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, EventEmitter, inject, Input, Output } from '@angular/core';
import { BescheidService2 } from '../../../../../../bescheid-shared/src/lib/bescheid2.service';

@Component({
  selector: 'alfa-bescheid-wizard-antrag-bescheiden-container',
  templateUrl: './bescheid-wizard-antrag-bescheiden-container.component.html',
})
export class BescheidWizardAntragBescheidenContainerComponent {
  @Input() vorgangWithEingangResource: VorgangWithEingangResource;
  @Input() bescheidResource: BescheidResource;

  @Output() vorgangAbgeschlossen: EventEmitter<void> = new EventEmitter<void>();

  private readonly bescheidService = inject(BescheidService2);

  public readonly BescheidWizardStep = BescheidWizardStep;

  public onWeiterClick(): void {
    this.bescheidService.setActiveStep(BescheidWizardStep.DokumenteHochladen);
  }
}
