import { BescheidDocument, BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { Component, inject } from '@angular/core';
import { Observable } from 'rxjs';
import { BescheidService2 } from '../../../../../../bescheid-shared/src/lib/bescheid2.service';
import { BescheidFormService } from '../../bescheid.formservice';

@Component({
  selector: 'alfa-bescheid-wizard-document-file-container',
  templateUrl: './bescheid-wizard-document-file-container.component.html',
})
export class BescheidWizardDocumentFileContainerComponent {
  private readonly bescheidService = inject(BescheidService2);
  private readonly formService = inject(BescheidFormService);

  public readonly bescheidDocument$: Observable<BescheidDocument> = this.bescheidService.getBescheidDocument();
  public readonly activeStep$: Observable<BescheidWizardStep> = this.bescheidService.getActiveStep();

  public readonly bescheidWizardStep = BescheidWizardStep;

  public deleteBescheidDocument(): void {
    this.formService.clearBescheidDocumentFile();
    this.bescheidService.deleteBescheidDocument();
  }
}
