import { BescheidAttachments, BescheidResource } from '@alfa-client/bescheid-shared';
import { Component, inject, Input } from '@angular/core';
import { Observable } from 'rxjs';
import { BescheidService2 } from '../../../../../../bescheid-shared/src/lib/bescheid2.service';

@Component({
  selector: 'alfa-bescheid-wizard-upload-attachment-button-container',
  templateUrl: './bescheid-wizard-upload-attachment-button-container.component.html',
})
export class BescheidWizardUploadAttachmentButtonContainerComponent {
  @Input() bescheidResource: BescheidResource;

  private readonly bescheidService = inject(BescheidService2);

  public readonly attachments$: Observable<BescheidAttachments> = this.bescheidService.getAttachments();

  public uploadFile(file: File): void {
    this.bescheidService.uploadAttachment(file, this.bescheidResource);
  }
}
