import { BescheidDocument, BescheidResource } from '@alfa-client/bescheid-shared';
import { Component, inject, Input } from '@angular/core';
import { Observable } from 'rxjs';
import { BescheidService2 } from '../../../../../../bescheid-shared/src/lib/bescheid2.service';

@Component({
  selector: 'alfa-bescheid-wizard-upload-document-button-container',
  templateUrl: './bescheid-wizard-upload-document-button-container.component.html',
})
export class BescheidWizardUploadDocumentButtonContainerComponent {
  @Input() bescheidResource: BescheidResource;

  private readonly bescheidService = inject(BescheidService2);

  public readonly bescheidDocument$: Observable<BescheidDocument> = this.bescheidService.getBescheidDocument();

  public uploadBescheidDocumentFile(file: File): void {
    this.bescheidService.uploadBescheidDocument(file, this.bescheidResource);
  }
}
