import { dispatchEventFromFixture, mock, Mock, MockEvent } from '@alfa-client/test-utils';
import { OzgcloudDialogService } from '@alfa-client/ui';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ButtonComponent } from '@ods/system';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { MockComponent } from 'ng-mocks';
import { CancelDialogButtonComponent } from './cancel-dialog-button.component';

describe('CancelDialogButtonComponent', () => {
  let component: CancelDialogButtonComponent;
  let fixture: ComponentFixture<CancelDialogButtonComponent>;

  let dialogService: Mock<OzgcloudDialogService>;

  const cancelDialog: string = getDataTestIdOf('cancel-dialog');

  beforeEach(async () => {
    dialogService = mock(OzgcloudDialogService);

    await TestBed.configureTestingModule({
      imports: [CancelDialogButtonComponent],
      declarations: [MockComponent(ButtonComponent)],
      providers: [
        {
          provide: OzgcloudDialogService,
          useValue: dialogService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(CancelDialogButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('on button click', () => {
    it('should call dialog service to close all', () => {
      dispatchEventFromFixture(fixture, cancelDialog, MockEvent.CLICK);

      expect(dialogService.closeAll).toHaveBeenCalled();
    });
  });
});
