import { OzgcloudDialogService } from '@alfa-client/ui';
import { Component, inject } from '@angular/core';
import { ButtonComponent } from '@ods/system';

@Component({
  selector: 'ods-cancel-dialog-button',
  standalone: true,
  imports: [ButtonComponent],
  template: `<ods-button
    (clickEmitter)="cancel()"
    variant="outline"
    text="Abbrechen"
    dataTestId="cancel-dialog"
    data-test-id="cancel-dialog"
  />`,
})
export class CancelDialogButtonComponent {
  public readonly dialogService = inject(OzgcloudDialogService);

  public cancel(): void {
    this.dialogService.closeAll();
  }
}
