/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { argsToTemplate, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';
import { CheckboxComponent } from '../checkbox/checkbox.component';
import { FieldsetComponent } from './fieldset.component';

const meta: Meta<FieldsetComponent> = {
  title: 'Fieldset',
  component: FieldsetComponent,
  decorators: [
    moduleMetadata({
      imports: [FieldsetComponent, CheckboxComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<FieldsetComponent>;

export const Default: Story = {
  args: {
    name: 'checkboxGroup',
    legend: 'A group of checkboxes',
  },
  argTypes: {
    name: { description: 'The name associated with the group' },
    legend: { description: 'Title for the fieldset' },
  },
  render: (args) => ({
    props: args,
    template: `<ods-fieldset ${argsToTemplate(args)}>
      <ods-checkbox inputId="1" label="First checkbox" />
      <ods-checkbox inputId="2" label="Second checkbox" />
    </ods-fieldset>`,
  }),
};
