import { HasLinkPipe } from '@alfa-client/tech-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { ButtonWithSpinnerComponent } from '@ods/component';
import { ForwardVorgangIconComponent, TooltipDirective } from '@ods/system';

@Component({
  selector: 'alfa-forward-by-ozgcloud-button-container',
  standalone: true,
  imports: [CommonModule, ButtonWithSpinnerComponent, ForwardVorgangIconComponent, TooltipDirective, HasLinkPipe],
  templateUrl: './forward-by-ozgcloud-button-container.component.html',
  styles: [':host {@apply empty:hidden}'],
})
export class ForwardByOzgcloudButtonContainerComponent {
  @Input() vorgangWithEingang: VorgangWithEingangResource;
  @Input() showAsIconButton: boolean = false;

  public readonly vorgangWithEingangLinkRel = VorgangWithEingangLinkRel;
}
