/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommandSharedModule } from '@alfa-client/command-shared';
import { ForwardingSharedModule } from '@alfa-client/forwarding-shared';
import { FormatDateWithTimePipe, HasLinkPipe, ToEmbeddedResourcesPipe } from '@alfa-client/tech-shared';
import {
  ExpansionPanelComponent,
  OzgcloudStrokedButtonWithSpinnerComponent,
  OzgcloudTextEditorComponent,
  SpinnerComponent,
} from '@alfa-client/ui';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatIcon } from '@angular/material/icon';
import { VorgangForwardFormComponent } from './vorgang-forwarding-container/vorgang-forward-formular/vorgang-forward-form/vorgang-forward-form.component';
import { VorgangForwardFormularComponent } from './vorgang-forwarding-container/vorgang-forward-formular/vorgang-forward-formular.component';
import { VorgangForwardingContainerComponent } from './vorgang-forwarding-container/vorgang-forwarding-container.component';
import { VorgangForwardingInfoListComponent } from './vorgang-forwarding-container/vorgang-forwarding-info-list/vorgang-forwarding-info-list.component';
import { VorgangForwardingInfoComponent } from './vorgang-forwarding-container/vorgang-forwarding-info-list/vorgang-forwarding-info/vorgang-forwarding-info.component';
import { VorgangForwardZustellenContainerComponent } from './vorgang-forwarding-zustellen-container/vorgang-forward-zustellen-container.component';

@NgModule({
  imports: [
    CommonModule,
    ForwardingSharedModule,
    CommandSharedModule,
    OzgcloudTextEditorComponent,
    OzgcloudStrokedButtonWithSpinnerComponent,
    SpinnerComponent,
    FormatDateWithTimePipe,
    MatIcon,
    HasLinkPipe,
    ToEmbeddedResourcesPipe,
    ExpansionPanelComponent,
    ReactiveFormsModule,
  ],
  declarations: [
    VorgangForwardZustellenContainerComponent,
    VorgangForwardingContainerComponent,
    VorgangForwardFormularComponent,
    VorgangForwardingInfoComponent,
    VorgangForwardingInfoListComponent,
    VorgangForwardFormularComponent,
    VorgangForwardZustellenContainerComponent,
    VorgangForwardFormComponent,
  ],
  exports: [VorgangForwardingContainerComponent],
})
export class ForwardingModule {}
