/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommandResource } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { createFeatureSelector, createSelector, MemoizedSelector } from '@ngrx/store';
import { LoeschAnforderungResource } from '../loesch-anforderung.model';
import {
  LOESCH_ANFORDERUNG_FEATURE_KEY,
  LoeschAnforderungState,
} from './loesch-anforderung.reducer';

export const getLoeschAnforderungState: MemoizedSelector<object, LoeschAnforderungState> =
  createFeatureSelector<LoeschAnforderungState>(LOESCH_ANFORDERUNG_FEATURE_KEY);

export const loeschenAnfordernCommand: MemoizedSelector<
  LoeschAnforderungState,
  StateResource<CommandResource>
> = createSelector(
  getLoeschAnforderungState,
  (state: LoeschAnforderungState) => state.loeschenAnfordernCommand,
);
export const loeschAnforderung: MemoizedSelector<
  LoeschAnforderungState,
  StateResource<LoeschAnforderungResource>
> = createSelector(
  getLoeschAnforderungState,
  (state: LoeschAnforderungState) => state.loeschAnforderung,
);
export const vorgangLoeschenCommand: MemoizedSelector<
  LoeschAnforderungState,
  StateResource<CommandResource>
> = createSelector(
  getLoeschAnforderungState,
  (state: LoeschAnforderungState) => state.vorgangLoeschenCommand,
);
export const loeschAnforderungZuruecknehmenCommand: MemoizedSelector<
  LoeschAnforderungState,
  StateResource<CommandResource>
> = createSelector(
  getLoeschAnforderungState,
  (state: LoeschAnforderungState) => state.loeschAnforderungZuruecknehmenCommand,
);
