/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { OzgcloudDialogService } from '@alfa-client/ui';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, Input } from '@angular/core';
import { VorgangDetailBescheidenUeberspringenDialogComponent } from '../vorgang-detail-bescheiden-ueberspringen-dialog/vorgang-detail-bescheiden-ueberspringen-dialog.component';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-ueberspringen-button',
  templateUrl: './vorgang-detail-bescheiden-ueberspringen-button.component.html',
  styles: [':host {@apply flex flex-1 items-end}'],
})
export class VorgangDetailBescheidenUeberspringenButtonComponent {
  @Input() vorgang: VorgangWithEingangResource;

  constructor(private readonly ozgcloudDialogService: OzgcloudDialogService) {}

  public onClick(): void {
    this.ozgcloudDialogService.open<VorgangDetailBescheidenUeberspringenDialogComponent>(
      VorgangDetailBescheidenUeberspringenDialogComponent,
    );
  }
}
