/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { Mock, mock } from '@alfa-client/test-utils';
import { VorgangListService } from '@alfa-client/vorgang-shared';
import { MockComponent } from 'ng-mocks';
import { VorgangViewsMenuComponent } from '../vorgang-views-menu/vorgang-views-menu.component';
import { VorgangViewsMenuContainerComponent } from './vorgang-views-menu-container.component';

describe('VorgangViewsMenuContainerComponent', () => {
  let component: VorgangViewsMenuContainerComponent;
  let fixture: ComponentFixture<VorgangViewsMenuContainerComponent>;

  const vorgangListService: Mock<VorgangListService> = mock(VorgangListService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [VorgangViewsMenuContainerComponent, MockComponent(VorgangViewsMenuComponent)],
      providers: [
        {
          provide: VorgangListService,
          useValue: vorgangListService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangViewsMenuContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('ngOnInit', () => {
    it('should call vorganglistService to get vorgangStatistic', () => {
      component.ngOnInit();

      expect(vorgangListService.getVorgangStatistic).toHaveBeenCalled();
    });
  });
});
