/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import {
  ButtonComponent,
  CloseIconComponent,
  EditIconComponent,
  ExternalUnitIconComponent,
  InstantSearchComponent,
  OfficeIconComponent,
  PublicAdministrationIconComponent,
  SearchIconComponent,
} from '@ods/system';
import { ZustaendigeStelleSharedModule } from 'libs/zustaendige-stelle-shared/src/lib/zustaendige-stelle-shared.module';
import { EditZustaendigeStelleButtonComponent } from './edit-zustaendige-stelle-button/edit-zustaendige-stelle-button.component';
import { SearchExterneFachstelleContainerComponent } from './search-externe-fachstelle-container/search-externe-fachstelle-container.component';
import { OrganisationsEinheitComponent } from './search-organisations-einheit-container/organisations-einheit/organisations-einheit.component';
import { SearchOrganisationsEinheitContainerComponent } from './search-organisations-einheit-container/search-organisations-einheit-container.component';
import { SearchZustaendigeStelleDialogComponent } from './search-zustaendige-stelle-dialog/search-zustaendige-stelle-dialog.component';
import { SearchZustaendigeStelleFormComponent } from './search-zustaendige-stelle-dialog/search-zustaendige-stelle-form/search-zustaendige-stelle-form.component';
import { ZustaendigeStelleButtonComponent } from './zustaendige-stelle-button/zustaendige-stelle-button.component';
import { ZustaendigeStelleHeaderComponent } from './zustaendige-stelle-header/zustaendige-stelle-header.component';

@NgModule({
  imports: [
    CommonModule,
    ButtonComponent,
    CloseIconComponent,
    InstantSearchComponent,
    FormsModule,
    ReactiveFormsModule,
    ZustaendigeStelleSharedModule,
    OfficeIconComponent,
    SearchIconComponent,
    ExternalUnitIconComponent,
    EditIconComponent,
    PublicAdministrationIconComponent,
  ],
  declarations: [
    SearchOrganisationsEinheitContainerComponent,
    OrganisationsEinheitComponent,
    SearchZustaendigeStelleFormComponent,
    SearchZustaendigeStelleDialogComponent,
    ZustaendigeStelleButtonComponent,
    SearchExterneFachstelleContainerComponent,
    EditZustaendigeStelleButtonComponent,
    ZustaendigeStelleHeaderComponent,
  ],
  exports: [
    OrganisationsEinheitComponent,
    SearchZustaendigeStelleFormComponent,
    SearchZustaendigeStelleDialogComponent,
    SearchOrganisationsEinheitContainerComponent,
    SearchExterneFachstelleContainerComponent,
  ],
})
export class ZustaendigeStelleModule {}
